{% extends 'base.html' %}

{% block content %}
    <main>
        <h1>Expense Categories</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number of Receipts</th>
                    </tr>
                </thead>

                <tbody>
                    {% for expense in expensecategory_list %}
                    <tr>
                        <td>{{ expense.name }}</td>
                        <td>{{ expense.receipts.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
    </main>
{% endblock content %}